Page 1 of 1

[Discuss] QuickInstall 1.2.0 Release

Posted: Sun Nov 30, 2014 12:44 pm
by tumba25
Please use this topic to discuss the QuickInstall 1.2.0 Release.

Re: [Discuss] QuickInstall 1.2.0 Release

Posted: Mon Dec 01, 2014 6:05 pm
by SiteSplat
Fantastic! Great timing as well. This will make the dev. a breeze! Cheers and thank-you for making our developer lives easier :-)

Re: [Discuss] QuickInstall 1.2.0 Release

Posted: Mon Dec 01, 2014 6:35 pm
by Crizzo
Thank you!

Re: [Discuss] QuickInstall 1.2.0 Release

Posted: Mon Dec 01, 2014 9:52 pm
by Sajaki
does QI 1.2 allow phpbb 3.0 & 3.1 boards in the same install in /sources ?

Re: [Discuss] QuickInstall 1.2.0 Release

Posted: Mon Dec 01, 2014 10:20 pm
by bonelifer
Put the one you want to use regularly in the phpBB3 folder, put the other in "phpBB3_alt"

Re: [Discuss] QuickInstall 1.2.0 Release

Posted: Wed Dec 03, 2014 4:00 pm
by Phillip
Awesome addition for phpBB. Nice work phpBB Team.

Re: [Discuss] QuickInstall 1.2.0 Release

Posted: Thu Dec 04, 2014 10:08 am
by hexplor
Brilliant ! Thank you very much guys !!

Re: [Discuss] QuickInstall 1.2.0 Release

Posted: Sat Dec 27, 2014 3:07 pm
by watisnf.nl
How does QI install know which version I want to have installed?

I have phpbb3.1 in the sources folder and 3.0 in the sources/phpBB3_alt, I want to install 3.0 how does that work? Just tried to test this and I got a 3.1 board, I'm new with using QI so a little bit of help would be nice... Thanks in advance ;)

Re: [Discuss] QuickInstall 1.2.0 Release

Posted: Sat Dec 27, 2014 3:22 pm
by david63
I've seen this somewhere but cannot just find it.

From memory I believe that you swap the two around and put 3.0 in the sources folder and 3.1 in sources/phpBB3_alt

Edit : It says that three posts up - must get my eyes tested :roll:

Re: [Discuss] QuickInstall 1.2.0 Release

Posted: Sat Dec 27, 2014 3:28 pm
by watisnf.nl
Well,, this is a piece of the announcement message:
tumba25 wrote:The biggest change being that QI can now handle both phpBB 3.0 and 3.1 boards. You don't have to change any setting for that as QI figures it out.
That means that I should be able to use both, without changing maps or I'm misunderstanding it.

Re: [Discuss] QuickInstall 1.2.0 Release

Posted: Sat Dec 27, 2014 5:24 pm
by tumba25
https://www.phpbb.com/customise/db/offi ... ll/support is the correct place to get support for QI.

If you look down a bit and click on Misc settings you'll find a dropdown menu at Alternate environment. That menu shows the directories in sources/phpBB3_alt and you should find your 3.0 sources there.

Re: [Discuss] QuickInstall 1.2.0 Release

Posted: Sat Dec 27, 2014 5:32 pm
by watisnf.nl
I don't need support, I was just curious how this works and that is a part of a discussion. You are saying that we don't need to change any setting because QI figures it out by itself, that seems to be wrong ;)

Re: [Discuss] QuickInstall 1.2.0 Release

Posted: Sat Dec 27, 2014 5:49 pm
by tumba25
No. You need to have a sources/phpBB3 directory. QI detects if that directory contains phpBB 3.0.x or 3.1.x. For that you don't have to change any settings. But I haven't implemented DWIM functionality in QI yet. So it don't know what you want to install and just assumes that you know what you have in sources/phpBB3 and installs that. 8-)

Re: [Discuss] QuickInstall 1.2.0 Release

Posted: Sat Dec 27, 2014 6:08 pm
by watisnf.nl
So I misunderstood that part, that's what I was trying to find out. Sorry for the inconvenience ;)